payment

Body Params
merchantTransInfo
object
required

This is the information for merchant to identify this Transaction.

Usage Instruction
For each new POST request, including PaymentMethod, Payment, Capture, Cancel, Refund, a new and unique merchantTranInfo shall be assigned for the transaction.

transAmount
object
required

This is used to define the amount for the transaction

  • Usage Instruction
  1. Used in POST Payment request, to send the payment transaction amount
  2. Used in POST Capture request, to send the capture amount
  3. Used in POST Refund request, to send the refund transaction amount
  4. Used within object payment, capture or refund in response or notification from Evonet, to specify the corresponding amount of the objects.
  5. Used in POST PaymentMethod, to indicate Currency for this transaction when the store is assigned multiple Currencies in Evonet. If the store is not assigned multiple Currencies, this object will be ignored.
boolean

This is to indicate if this Payment or Payment Method needs to conduct authentication

  • Usage instruction:
  1. In Evonet, each merchant is configured with Non-Authentication, Optional-Authentication and Must-Authentication. When store is configured Optional-Authentication, this field is applied.
  2. This filed is used in POST Payment request and Payment Method request, if true, Evonet will conduct additional authentication for this transaction or tokenize.
  3. If not present, means default value=false, Evonet will not conduct authentication process for this transaction
  4. Only used when paymentMethod.type=card
  5. In Payment request, when paymentMethod.type=card and authenticationOnly=true this field is not applied.
  6. Field Type: boolean
boolean

This is to indicate if this is an authentication only Payment request Usage definition:

  1. This field is used in POST Payment request only. If true, Evonet will conduct authentication only without authorization followed.
  2. if not present, means default value = false, Evonet will conduct authorization process after authentication.
  3. Only used when paymentMethod.type=card
  4. When paymentMethod.type=card and paymentMethod.card.tokenize=true this field is not applied.
  5. Field Type: boolean
string
length ≤ 5

The effective time (Minutes) of the Order, which can be performed Payment before the time. The valid time will be sent to E-Wallet to indicate the valid time of the order pre-generated. -Value defined:

  1. E-Wallets defined different valid time value including minimum, maximum and default (not present)
  2. It is suggested for merchant to define the value between 5 minutes to 120 minutes (2hours)
  3. If not present, the valid time will follow the defult value of E-Wallets
  • Usage Instruction
  1. Only used when paymentMethod.type=e-wallet(WeChat Pay and Alipay+) or onlineBanking(UnionPay).
  2. If merchant has special requirement for this value definition, please contact Evonet product team for detail information and suggestion.
  3. Field Type: String(5)
string
enum
length ≤ 3

The number of hours for Evonet to initiate Capture on behalf of merchant after successful Payment

  • Usage Instruction
  1. This field applies for below of paymentMethod.type, including card and token.
  2. It is recommended to select '0' to choose Evonet capture on behalf service, unless some special merchant scenarios.
  3. If paymentMethod.type≠card or token(card), this field will be ignored.
  4. Field Type: String(3)
Allowed:
string
length ≤ 300

This is the URL address provided by merchant. After completing the authentication or payment processing, the user is redirected back to the merchant site. This URL address specifies which merchant site page the user goes back to.

  • Usage Instruction
  1. Required in POST PaymentMethod or POST Payment request message when 3DS authentication is being performed.
  2. Required in POST PaymentMethod request message when performing the tokenization with Alipay.
  3. Required in POST Payment request message when performing the payment with E-Wallets, points and onlineBanking including 3.1 Alipay, Alipay+ on PC WEB, 3.2 Alipay, Alipay+, Alipay HK, WeChat Pay and on Mobile WAP, 3.3 WeChat Pay in Official Account, 3.4 TrueMoney Wallet, Rabbit LINE Pay, Pay with Points, Krungsri Online, Bualuang iBanking, Boost, MCash, ShopeePay, Touch 'N Go eWallet, Cards_KOR, Naver_Pay, Kakao_Pay and PAYCO, DANA, OVO, ShopeePay Indonesia, Akulaku, BNI VA, BRI VA, CIMB VA, Mandiri VA, Maybank VA, Permata VA, au, SoftBank, NTT Docomo, LINE Pay, Merpay, Paypay, on PC WEB, Mobile WAP and wallet APP. 3.5 K PLUS on Mobile WAP and wallet APP.
  4. Field Type: String(300) 4.1 When authentication.type=threeDSIntegrator or threeDSPage, the maximum is 75. 4.2 When Payment Brand is Alipay or AlipayHK, the maximum is 200.
  5. The format of the webhook must contain http:// or htps://
paymentMethod
object
required

This field includes the Payment Method information, including Payment Method selected by User for Payment, and the Payment Method supported by the merchant

authentication
object

The information used for User authentication with Card

  • Usage Instruction
  1. Evonet supports securePlue and threeDS authentication types
transInitiator
object
required

Information of terminal to initiate the transaction

  • Usage instruction
  1. Used in the request of PaymentMethod, Payment.
tradeInfo
object

Detailed information about the transaction.

Usage Instruction
1. When paymentBrand = Alipay or AlipayHK, this field must be present.
2. Specify this parameter if you can obtain the information from the user. This helps Evonet laundering and fraud detection, and increases payment success rates.

userInfo
object

Detailed information about the buyer.

Usage Instruction
1. Used in POST Payment request and POST PaymentMethod request, to send the buyer's information.
2. Specify this parameter if you can obtain the information from the user. This helps Evonet laundering and fraud detection, and increases payment success rates.

subMerchantInfo
object

Information of merchant to initiate the transaction.

  • Usage instruction
  1. Used in the request of Payment.
string
length ≤ 300

This filed is used for merchant to provide asynchronous notification address- Usage Instruction1. Merchant may provide this information in the request message, once it is processed successfully, Evonet will send back notification to this address2. The format of the webhook must contain http:// or htps://3. Field Type: String(300)

string
length ≤ 512

This field is used for merchant to state reference information- Usage Instruction1. If merchant sends this field in the request message, Evonet will echo it back in the response 2. Field Type: String(512)

string

This is to indicate if an AVS (Address Verification Service) check should be performed.

Usage Instruction
1. This field is used in POST Payment requests only. If true, Evonet will perform an AVS check for the card transaction.
2. If not present, default value = false, Evonet will skip AVS check.
3. Field Type: Boolean (true / false)

Headers
string
required

Sign key assigned by Evonet.

string
required

Specify application/json; charset=utf-8, which means the message body of the request and response must be in the JSON format, and the character encoding is UTF-8. It will be echoed back in the response message.

string
required

The time when the message is sent. The format follows ISO 8601, which is YYYY-MMDDThh:mm:ssTZD. For example, 2021-05-26T10:08:25+08:00. It will be echoed back in the response message.

string
required

KeyID is a unique key identifier of up to 36 characters that is generated along with the signature key by Evonet.

string

An ID for a merchant to trace every API request. The suggested value is UUID or GUID, such as 2d21a5715c034efb7e0aa383b885fc7a. It is suggested to specify this value with no more than 32 characters in length. EVONET will not validate this value and will echo it back in the response message.

string
required

Fixed value: Key-based.

string
length ≤ 64

Request idempotent identity, no more than 64 characters.

Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json